ALLEGRO_SAMPLE_ID(3)

NAME

ALLEGRO_SAMPLE_ID - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    typedef struct ALLEGRO_SAMPLE_ID ALLEGRO_SAMPLE_ID;

DESCRIPTION

An ALLEGRO_SAMPLE_ID represents a sample being played via al_play_sample(3). It can be used to later stop the sample with al_stop_sample(3). The underlying ALLEGRO_SAMPLE_INSTANCE can be extracted using al_lock_sample_id(3).